Summary: Timezone data
Name: tzdata
Version: 2015b
%define tzdata_version 2015b
%define tzcode_version 2015b
Release: 1.0.1.el4
License: GPL
Group: System Environment/Base
Source0: ftp://ftp.iana.org/tz/releases/tzdata%{tzdata_version}.tar.gz
Source1: ftp://ftp.iana.org/tz/releases/tzcode%{tzcode_version}.tar.gz

#Patch1: tzdata-2011l-kemerovo.patch

BuildRequires: gawk, glibc, glibc-common, perl
Conflicts: glibc-common <= 2.3.2-63
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-root

%description
This package contains data files with rules for various timezones around
the world.

%prep
%setup -q -c -a 1

# %patch1 -p1

%build
FILES="africa antarctica asia australasia europe northamerica southamerica
      pacificnew etcetera backward"

mkdir zoneinfo/{,posix,right}
zic -y ./yearistype -d zoneinfo -L /dev/null -p America/New_York $FILES
zic -y ./yearistype -d zoneinfo/posix -L /dev/null $FILES
zic -y ./yearistype -d zoneinfo/right -L leapseconds $FILES
 
grep -v tz-art.htm tz-link.htm > tz-link.html

%install
rm -fr $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}
cp -prd zoneinfo $RPM_BUILD_ROOT%{_datadir}
install -p -m 644 zone.tab iso3166.tab $RPM_BUILD_ROOT%{_datadir}/zoneinfo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/zoneinfo
%doc README
%doc Theory
%doc tz-link.html

%changelog
* Mon Mar 23 2015 Curt Carter <curt.carter@oracle.com> - 2015b-1
- Rebase to 2015b (pfrankli@redhat.com)
  - Mongolia will start observing DST again this year, from the last
    Saturday in March at 02:00 to the last Saturday in September at 00:00.
  - Palestine will start DST on March 28, not March 27.  Also,
    correct the fall 2014 transition from September 26 to October 24.
    Adjust future predictions accordingly.

* Fri Feb 06 2015 Kevin Lyons <kevin.x.lyons@oracle.com> - 2015a-1
- Rebase to 2015a (pfrankli@redhat.com)
  - New leap second 2015-06-30 23:59:60 UTC as per IERS Bulletin C 49.
  - The Mexican state of Quintana Roo, represented by America/Cancun,
    will shift from Central Time with DST to Eastern Time without DST
    on 2015-02-01 at 02:00.
  - Chile will not change clocks in April or thereafter; its new
    standard time will be its old daylight saving time.  This affects
    America/Santiago, Pacific/Easter, and Antarctica/Palmer.

* Mon Nov 17 2014 Keivn Lyons <kevin.x.lyons@oracle.com> - 2014j-1
- Rebase to 2014j
  - Turks & Caicos' switch from US eastern time to UTC-4 year-round
    did not occur on 2014-11-02 at 02:00.  It's currently scheduled
    for 2015-11-01 at 02:00.

* Wed Oct 29 2014 Kevin Lyons <kevin.x.lyons@oracle.com> - 2014i-1.0.1.el4
- Rebase to 2014i
  - Pacific/Fiji will observe DST from 2014-11-02 02:00 to 2015-01-18 03:00.
  - A new Zone Pacific/Bougainville, for the part of Papua New Guinea
    that plans to switch from UTC+10 to UTC+11 on 2014-12-28 at 02:00.

* Fri Sep 26 2014 Kevin Lyons <kevin.x.lyons@oracle.com> - 2014h-1.0.1.el4
- Rebase to 2014h
  - Changes to historical transitions in America/Jamaica and
    Asia/Novokuznetsk.
  - Africa/{Blantyre, Bujumbura, Gaborone, Harare, Kigali, Lubumbashi,
    Lusaka} now alias Africa/Maputo, because they don't differ in
    post-1970 stamps.
  - Africa/Maseru and Africa/Mbabane now alias Africa/Johannesburg for
    the same reason.

* Tue Sep 16 2014 Tianyue Lan <tianyue.lan@oralce.com> - 2014g-1.0.1.el4
- Rebase to 2014g
  - Turks & Caicos is switching from US eastern time to UTC-4
    year-round, modeled as a switch from EST/EDT to AST
    on 2014-11-02 at 02:00.

* Tue Sep 16 2014 Jingdong Lu <jingdong.lu@oralce.com> - 2014f-1.0.1.el4
- Rebase to 2014f
  - Several Russian time zone changes effective on 2014-10-26
    at 02:00 local time.  See NEWS file for additional details.
- Removed patch tzdata-2011l-kemerovo.patch

* Tue Jun 24 2014 Tianyue Lan <tianyue.lan@oralce.com> - 2014e-1.0.1.el4
- Rebase to 2014e
  - Morrocco suspends DTS for Ramadan
       June 28 at 03:00 and August 2 at 02:00
  - Egypt suspends DTS for Ramadan
       June 26 and July 31 at 24:00

* Mon Jun 02 2014 Guangyu Sun <guangyu.sun@oracle.com> 2014d-1.0.1.el4
- Rebase to 2014d (Patsy Franklin)
  - zic no longer generates files containing time stamps before
    the Big Bang.  This works around GNOME bug 730332
  - Egypt's government to re-apply daylight saving time.
  - zic now generates transitions for minimum time values.
  - Port to Cygwin sans glibc.
  - Remove now-confusing comment about Jordan.

* Wed May 14 2014 Guangyu Sun <guangyu.sun@oracle.com> 2014b-3.24.0.1.el4
- The transition time will be 24:00, not 0:00. (Petr Machata)
- Egypt's government to re-apply daylight saving time
  effective May 15, 2014. (Patsy Franklin)

* Fri Mar 28 2014 Guangyu Sun <guangyu.sun@oracle.com> 2014b-1.0.1.el4
- Rebase to 2014b
  - Crimea switches to Moscow time on 2014-03-30 at 02:00 local time.           
  - New entry for Troll station, Antarctica.

* Fri Mar 14 2014 Guangyu Sun <guangyu.sun@oracle.com> 2014a-1.0.1.el4
- Turkey begins DST on 2014-03-31, not 03-30. (Patsy Franklin)

* Tue Jan 28 2014 Guangyu Sun <guangyu.sun@oracle.com> 2013i-2.0.1.el4
- Fiji ends DST on 2014-01-19 at 02:00, not the previously-scheduled 03:00. (Patsy Franklin)
- Rebase with early release of 2013i from Paul Eggert github. (Patsy Franklin)
  - Jordan switches back to standard time at 00:00 on December 20,2013.
  - The 2006-2011 transition schedule is planned to resume in 2014.
  - The compile-time flag NOSOLAR has been removed.
  - The files solar87, solar88, and solar89 are no longer distributed.
  - tz-link.htm now mentions Noda Time.

* Wed Oct 16 2013 Guangyu Sun <guangyu.sun@oracle.com> 2013g-1.0.1.el4
- Morocco moved end of DST from September to October (#1013527).

* Mon Jul 22 2013 Tianyue Lan <tianyue.lan@oracle.com> 2013c-2.0.1.el4
- release with high version 

* Sun Jul 21 2013 Joe Jin <joe.jin@oracle.com> 2013c-1.0.2.el4
- Update descriptions in iso3166.tab; make Jerusalem coordinates in
  zone.tab more precise
  (0001-Adjust-commentary-to-try-to-defuse-recent-issues-som.patch)
- Update local mean time for Jerusalem to match more-precise longitude
  (0002-asia-Asia-Jerusalem-Fix-LMT-to-match-more-precise-lo.patch)
- Move Morocco's midsummer 2013 transitions
  (0003-Move-Morocco-s-midsummer-2013-transitions.patch)
  Fixes 980805 980807 981019 981020
- Israel now falls back on the last Sunday of October
  (0004-Israel-now-falls-back-on-the-last-Sunday-of-October.patch)

* Wed Jun 05 2013 Guangyu Sun <guangyu.sun@oracle.com> - 2013c-1.0.1.el4
- Backported fixes from 2013c-1 version of Oracle Linux 5
- Upstream 2013c
  - Sync past stamps for Palestine and West Bank with timeanddate.com
  - Assume that the recent change to Paraguay's DST rules is permanent
  - Macquarie was uninhabited between 1919 and 1948.  It's also part
    of Australia (update in zone.tab).
- Palestine starts Daylight Saving Time on March 29, 2013
  (tzdata-2013b-gaza.patch)

* Mon Mar 25 2013 Guangyu Sun <guangyu.sun@oracle.com> - 2013b-1.0.1.el4
- Backported fixes from 2013b-1 version of Oracle Linux 5
- Upstream 2013b
  - Paraguay will end DST on March 24 this year
  - Haiti uses US daylight-saving rules this year
  - Morocco does not observe DST during Ramadan
- Upstream 2013a
  - Retire Chile patch, 2013a has the data
  - New Zones Asia/Khandyga, Asia/Ust-Nera, Europe/Busingen
  - Many changes in historical timestamps

* Mon Mar 11 2013 Guangyu Sun <guangyu.sun@oracle.com> - 2012j-2.0.1.el4
- Backported fixes from 2012j-2 version of Oracle Linux 5
- Upstream 2012j
  - DTS in Chile will end on 2013-04-28 (Petr Machata -pmachata@redhat.com)

* Wed Jan 30 2013 Guangyu Sun <guangyu.sun@oracle.com> - 2012j-1.0.1.el4
- Backported fixes from 2012j-1 version of Oracle Linux 5
- Upstream 2012j
  - Libya moved to CET (Petr Machata -pmachata@redhat.com)

* Mon Nov 26 2012 Keshav Sharma <keshav.sharma@oracle.com> - 2012i-2.0.1.el4
- Backported fixes from 2012i-2 version of Oracle Linux 5
- Preserve hardlinks that zic leaves behind, install with cp -d (Petr Machata -pmachata@redhat.com)
- Upstream 2012i
  - Cuba switched to DST
- Switch back to using system zic, ignore upstream Makefile at all. (Petr Machata - pmachata@redhat.com)
- Drop Factory from distribution (Petr Machata - pmachata@redhat.com)
- Upstream 2012h
  - Brazilian state Bahia no longer has DST.
  - Brazilian state Tocantins now has DST.
  - Israel has new DST rules next year.
  - Jordan stays on DST this winter.
- Upstream 2012g
  - Adjust the packaging for new Makefile
  - Palestine: Fall transition was Sep 21, not Sep 28
  - Samoa: Daylight Saving Time commences on Sunday 30th September
    2012 and ends on Sunday 7th of April 2013.
- Upstream 2012f
  - Fiji will start daylight savings at 2 am on Sunday 21st October 2012
    and end at 3 am on Sunday 20th January 2013.  Guess it will be like
    that in following years as well.
- Upstream 2012e
  - Tokelau is in time zone UTC+13, not UTC+14 (and always was)
- Upstream 2012d
  - Morocco will not observe DST during the month of Ramadan.
    DST cessation end date was corrected.
  - Drop tzdata-2012c-morocco.patch

* Thu Jul 19 2012 Keshav Sharma <keshav.sharma@oracle.com> - 2012c-1.0.2.el4
- Backported fixes from 2012c-3 version of Oracle Linux 5
   -- Morocco will not observe DST during the month of Ramadan

* Thu May 23 2012 Keshav Sharma <keshav.sharma@oracle.com> - 2012c-1.0.1.el4
- Backported fixes from 2012c-1 version of Oracle Linux 5
   - Haiti observes DST from 2012 on
   - Gaza Strip and Hebron observe DST in 2012
   - Change start of DST in Syria to last Friday in March

* Fri Mar 16 2012 Petr Machata <pmachata@redhat.com> - 2012b-3.el4
- Morocco moved DST entry to last Sunday of April
- Resolves: #802542

* Thu Mar 15 2012 Petr Machata <pmachata@redhat.com> - 2012b-2.el4
- Morocco DST starts on the last Sunday of March (March 25, 2012) and
  ends on last Sunday of September, except the month of Ramadan.  It
  is currently unclear what that Ramadan bit means, so this is not
  covered by the patch as of now.
- Resolves: #802542

* Tue Mar 13 2012 Petr Machata <pmachata@redhat.com> - 2012b-1.el4
- Rebase to 2012b; changes vs. 2011n-2:
  - Changes to zones for Antarctica stations
  - Armenia abolished DST in 2012 and forward
  - Cuba enters DST on 31st March
  - Falkland Islands will stay on permanent Summer Time
  - New zone for Creston Valley, Canada, which differs from Dawson
    Creek in past stamps.  Changes to historical stamps in Canada.
  - Last year, Tokelau skipped over the date line together with Samoa
- Resolves: #802542

* Fri Feb 24 2012 Petr Machata <pmachata@redhat.com> - 2011n-2.el4
- The Chilean Government has decided to postpone the entrance into
  winter time (to leave DST) from March 11 2012 to April 28th 2012
- Resolves: #796748

* Tue Feb 21 2012 Petr Machata <pmachata@redhat.com> - 2011n-1.el4
- Rebase to 2011n
  - Cuba postponed DST by two weeks to Nov 13
  - Fiji will enter DST on Jan 21
- Add a patch for the leap second that will occur this summer
- Resolves: #782172

* Wed Oct 19 2011 Petr Machata <pmachata@redhat.com> - 2011l-4.el4
- Ukraine will enter Winter Time after all
- Resolves: #740001

* Fri Oct 14 2011 Petr Machata <pmachata@redhat.com> - 2011l-3.el4
- State of Bahia, Brazil, to resume Summer Time on Oct 16
- The project moved, reflect this in URL
- Resolves: #740001

* Tue Oct 11 2011 Petr Machata <pmachata@redhat.com> - 2011l-1
- Upstream 2011l:
  - Fix ancient stamps for America/Sitka
  - Asia/Hebron transitioned to standard time already on Sep 30, not Oct 3
  - Fiji will introduce DST on Oct 22
- Resolves: #740001

* Wed Sep 21 2011 Petr Machata <pmachata@redhat.com> - 2011k-0.1.20110921
- Upstream 2011i:
  - Add Africa/Juba (South Sudan) zone
  - Samoa skips over the date line on 2011-12-30
  - Use KALT as abbreviation for Europe/Kalinigrad
  - Canonical version of the Newfoundland patch
  - Change America/Resolute use of EST to 2006-2007 only
  - Assume Metlakatla abandoned use of daylight saving in 1983
  - Sync iso3166.tab and zone.tab with above
- Upstream 2011j:
  - Fix the Samoa date line skip
  - Changes in past timestamp typos several Africa zones
- Proposed upstream 2011k:
  - Belarus and Ukraine adopt permanent DST in 2011
  - Palestine suspends DST during Ramadan in 2011
  - Gaza and West Bank split in 2011.  West Bank is tracked in the
    timezone Asia/Hebron.  zone.tab update accordingly.
- Resolves: #740001

* Wed Aug 10 2011 Petr Machata <pmachata@redhat.com> - 2011h-2.el4
- Patch for upcoming change in Newfoundland.  The transition time
  changes from 12:01 AM to 2:00 AM.
- Resolves: #729699

* Mon Jun 27 2011 Petr Machata <pmachata@redhat.com> - 2011h-1.el4
- Upstream 2011h:
  - Russia abandons DST in 2011.
  - *.tab: change AN (Netherlands Antilles) to CW (Curacao)
- Resolves: #716937

* Tue Apr 26 2011 Petr Machata <pmachata@redhat.com> - 2011g-1.el4
- Upstream 2011e:
  - Morocco introduced DST for 2011 from April 2 to July 31.
  - Delay end of DST in Chile in 2011 until May 7.
- Resolves: #698609
- Upstream 2011f:
  - The Falkland Islands will not turn back clocks this winter, but
    stay on daylight saving time.
- Upstream 2011g:
  - Egypt abandons DST in 2011 (and forward)
- Resolves: #698611
- Dropped tzdata-2011d-chile.patch
- Dropped tzdata-2011d-morocco.patch

* Wed Mar 30 2011 Petr Machata <pmachata@redhat.com> - 2011d-3.el4
- Morocco introduced DST for 2011 from April 2 to July 31. (tzdata-2011d-morocco.patch)
- Resolves: #692162

* Tue Mar 29 2011 Petr Machata <pmachata@redhat.com> - 2011d-2.el4
- Delay end of DST in Chile in 2011 until May 7. (tzdata-2011d-chile.patch)
- Resolves: #691436

* Tue Mar 15 2011 Petr Machata <pmachata@redhat.com> - 2011d-1.el4
- Upstream 2011d:
  - Change end of DST in Samoa in 2011.
  - Change start of DST in Cuba in 2011.
  - Move start of DST in Turkey by one day in 2011.
- Dropped tzdata-2011b-c.patch
- Resolves: #685074

* Fri Mar 04 2011 Petr Machata <pmachata@redhat.com> - 2011b-1.el4
- Upstream 2011a:
  - Updates of historical stamps for Hawaii
- Upstream 2011b:
  - America/North_Dakota/Beulah: Mercer County, North Dakota, changed
    from the mountain time zone to the central time zone
- Kemerovo oblast should use OMST/OMSST abbreviation (tzdata-2011b-kemerovo.patch)
- tzdata-2011b-c.patch
  - Update of historical stamps for Juneau, Sitka, and histcurrent
    stamps for Metlakatla.  Sitka and Metlakatla are new zones.
  - Delay end of DST in Chile in 2011 until first Sunday in April.
- Resolves: #681908

* Mon Dec 13 2010 Petr Machata <pmachata@redhat.com> - 2010o-1.el4
- Upstream 2010m:
  - Hong Kong didn't observe DST in 1977
  - In zone.tab, remove obsolete association of Vostok Station with
    South Magnetic Pole; add association with Lake Vostok
- Upstream 2010n:
  - Change end of DST in Samoa in 2011 from 2011-04-03 0:00 to
    2011-04-03 1:00
- Upstream 2010o:
  - Fiji will end DST on March 6, 2011, not March 27, 2011
- Resolves: #662775

* Mon Aug 30 2010 Petr Machata <pmachata@redhat.com> - 2010l-1.el4
- Upstream 2010l:
  - Change Cairo's 2010 reversion to DST from the midnight between
    September 8 and 9 to the midnight between September 9 and 10.
  - Change Gaza's 2010 return to standard time to the midnight between
    August 10 and 11.
  - Bahia de Banderas (Mexican state of Nayarit) changed time zone
    UTC-7 to new time zone UTC-6 on April 4, 2010
- Resolves: #628638

* Tue Jul 27 2010 Andreas Schwab <schwab@redhat.com> - 2010k-1.el4
- Upadate to 2010k (#618599)
  - No DST in Egypt during Ramadan in 2010
  - Bahía de Banderas moved to UTC-6 on April 4, 2010, new time zone
    America/Bahia_Banderas
  - Rename Pacific/Truk to Pacific/Chuuk and Pacific/Ponape to Pacific/Pohnpei
  - Update historical data of Europe/Helsinki
  - Update tz-links page

* Thu Apr 22 2010 Petr Machata <pmachata@redhat.com> - 2010i-1.el4
- Upstream 2010g:
  - No Bangladesh DST in 2010 and forward.
  - Gaza DST starts last Saturday in March at 12:01 a.m. in 2010 and forward
  - Kamchatka and Anadyr change to Moscow+8 on 2010-03-28
  - Samara changes to Moscow+0 on 2010-03-28
  - Related zone.tab updates
- Upstream 2010h:
  - No DST in Tunisia in 2010 and forward
  - No DST in Pakistan in 2010 and forward
- Upstream 2010i:
  - Morocco will have DST from 2010-05-02 to 2010-08-08
  - San Luis, Argentina will keep permanent DST after April 11, 2010
  - Updates of historical stamps for Taiwan
- Dropped tzdata-2010g-tunis.patch
- Dropped tzdata-2010f-g.patch
- Dropped tzdata-2010g-karachi.patch
- Resolves: #584853

* Mon Mar 29 2010 Petr Machata <pmachata@redhat.com> - 2010f-3.el4
- Tunisia not to observe DST in 2010 (tzdata-2010g-tunis.patch)
- Resolves: #577841
- Pakistan not to observe DST in 2010 (tzdata-2010g-karachi.patch)
- Resolves: #577835

* Thu Mar 25 2010 Petr Machata <pmachata@redhat.com> - 2010f-2.el4
- Fix the path in tzdata-2010f-g.patch
- Resolves: #576613

* Thu Mar 25 2010 Petr Machata <pmachata@redhat.com> - 2010f-1.el4
- Upstream 2010f:
  - Changes to Australian stations in Antarctica
  - Correct 2010 Samoa DST start date
  - New zone Antarctica/Macquarie
  - Change Syria DST start from last Friday in March to first Friday
    in April in 2010 and forward
- Upstream 2010g proposal:
  - No Bangladesh DST in 2010 and forward.
  - Gaza DST starts last Saturday in March at 12:01 a.m. in 2010 and forward
  - Kamchatka and Anadyr change to Moscow+8 on 2010-03-28
  - Samara changes to Moscow+0 on 2010-03-28
  - Related zone.tab updates (tzdata-2010f-g.patch)
- Resolves: #576613

* Tue Mar 09 2010 Petr Machata <pmachata@redhat.com> - 2010e-1.el4
- Upstream 2010d
  - The DST change in Bangladesh takes place a minute earlier
  - Fiji to end DST on 2010-03-28 at 03:00, about a month earlier
  - Samoa to observe DST this year; they didn't observe DST last year
  - DST in Chile extended to 3 April
  - Resolves: #571744
- Upstream 2010e:
  - Fix a typo in Bangladesh DST rule

* Tue Mar 02 2010 Petr Machata <pmachata@redhat.com> - 2010c-1.el4
- Upstream 2010a
  - Source code cleanups
- Upstream 2010b
  - Northern Mexico's border cities share the DST schedule with the
    United States
- Upstream 2010c
  - Paraguay DST now in effect from 2nd Sunday of April to 1st Sunday
    of October
- Resolves: #568666

* Mon Jan 04 2010 Petr Machata <pmachata@redhat.com> - 2009u-1.el4
- Upstream 2009p
  - Argentina does not enter DST on October 18
  - San Luis switched from UTC-4 to UTC-3 on October 11th
- Upstream 2009q
  - Change DST end in Syria from November 1 to last Friday in October
  - Changes to past Hong Kong transitions
  - Kemerovo oblast' in Russia will change current time zone on March 28, 2010.
    Asia/Novokuznetsk is the new time zone name
- Upstream 2009r
  - Changes to local times of three Australian research stations in Antarctica
- Upstream 2009s
  - Fiji plans to re-introduce DST from November 29th 2009 to April 25th 2010
- Upstream 2009u
  - Bangladesh changed their clock back to Standard Time on December 31, 2009
  - Resolves: #551446
- Dropped tzdata-2009o-argentinas.patch

* Wed Oct 21 2009 Petr Machata <pmachata@redhat.com> - 2009o-2.el4
- San Luis (Argentina) entered DST on October 11 (tzdata-2009o-argentinas.patch)
- Resolves: #529497

* Mon Oct 19 2009 Petr Machata <pmachata@redhat.com> - 2009o-1.el4
- Upstream 2009o
  - Bangladesh won't go back to Standard Time from October 1, 2009
  - Pakistan leaves DST on October 1, 2009
- Dropped tzdata-2009m-karachi.patch
- Argentina does not enter DST on October 18 (tzdata-2009o-argentinas.patch)
- Resolves: #529497

* Fri Sep 18 2009 Petr Machata <pmachata@redhat.com> - 2009m-1.el4
- Upstream 2009m
  - Palestine will will revert back to winter time on Friday, 2009-09-04
  - Samoa passed the DST Bill that fixes DST dates for 2009 and 2010
- Drop Egypt patch
- Add markers for autoupdate of spec file
- Pakistan leaves the period of DST on October 1
- Resolves: #524199

* Thu Aug 13 2009 Petr Machata <pmachata@redhat.com> - 2009k-1.el4
- Upstream 2009j
  - DST switch for Bangladesh will occur an hour earlier than was
    thought (we can drop Bangladesh patch).
- Upstream 2009k
  - Mauritius will not continue to observe DST the coming summer
  - Arbitrarily end DST at the end of 2009 so that a POSIX-style time
    zone string can appear in the Dhaka binary file
- Egypt starts winter time on August 21.
- Resolves: #517011

* Mon Jun 15 2009 Petr Machata <pmachata@redhat.com> - 2009i-2.el4
- Official announcement is for the Bangladesh change to occur at 23:00
  of local time, not 24:00.  Add upstream patch implementing the same.
- Resolves: #503834

* Mon Jun  8 2009 Petr Machata <pmachata@redhat.com> - 2009i-1.el4
- Upstream 2009i
  - Bangladesh introduces DST 2009-06-20
- Upstream 2009h
  - Convert use of 00:00 stamps to 24:00 of the previous day
  - Clarify that the data is Public Domain
- Drop Cairo patch
- Resolves: #503834

* Mon Apr 13 2009 Petr Machata <pmachata@redhat.com> - 2009f-1.el4
- Upstream 2009a
  - Fix Asia/Kathmandu spelling
  - Historical timestamps for Switzerland and Cuba
  - DST update for America/Resolute
- Upstream 2009d
  - Morocco will observe DST from 2009-06-01 00:00 to 2009-08-21 00:00
  - Tunisia will not observe DST this year.
  - Syria will start DST on 2009-03-27 00:00 this year
  - Cuba will start DST on midnight between 2009-03-07 and 2009-03-08
  - Province of San Luis, Argentina, went to UTC-04:00 on 2009-03-15
- Upstream 2009e
  - Historical changes for Jordan
  - Palestine will start DST on 2009-03-26 and end 2009-09-27
- Upstream 2009f
  - Pakistan will observe DST between 2009-04-15 and (probably) 2009-11-01
- Resolves: #495471
- Egypt ends DST on 2009-09-24
- Resolves: #495488

* Thu Oct 30 2008 Petr Machata <pmachata@redhat.com> - 2008i-2.el4
- Build for RHEL 4.5.Z
- Resolves: #467197

* Thu Oct 30 2008 Petr Machata <pmachata@redhat.com> - 2008i-1.el4
- Upstream 2008g
  - Fixed future DST transitions for Brazil
- Upstream 2008h
  - Fix exact DST transition hour for Mauritius
  - Syria will leave the period of DST on Nov 1
  - Fix coordinates of Pacific/Niue
- Upstream 2008i
  - Updates for Argentina: Drop DST in zones America/Argentina/Jujuy,
    La_Rioja, San_Juan, Catamarca, Mendoza, Rio_Gallegos, Ushuaia; new
    zone America/Argentina/Salta (for provinces SA, LP, NQ, RN).
- Resolves: #467197

* Fri Oct  3 2008 Petr Machata <pmachata@redhat.com> - 2008f-2.el4
- Rebuild
- Resolves: #462708

* Thu Oct  2 2008 Petr Machata <pmachata@redhat.com> - 2008f-1.el4
- Upstream 2008f
  - Gaza strip runs on different clocks during Ramadan
  - Argentina and Brazil will start DST on Sunday October 19, 2008
- Drop Pakistan & Morocco patches
- Resolves: #462708

* Thu Aug 28 2008 Petr Machata <pmachata@redhat.com> - 2008e-1.el4
- Upstream 2008c
  - Mongolia changes zone
  - Pakistan DST is scheduled until Sep/1, instead of Aug/31
- Upstream 2008d
  - Changes for Brazil and Mauritius
- Upstream 2008e
  - Changes for Mauritius
  - Leap second coverage for 31/Dec 2008
  - Corrections of historical dates
- Drop Morocco and Pakistan patches that are superseded by upstream
- Pakistan DST is scheduled until Oct/31
- Morocco DST is scheduled until Aug/31
- Resolves: #460364
  #460458 #460161 #452680

* Fri May 23 2008 Petr Machata <pmachata@redhat.com> - 2008b-3.el4
- Morocco introduces DST
- Resolves: #448374

* Fri May 23 2008 Petr Machata <pmachata@redhat.com> - 2008b-2.el4
- Upstream 2008b
  - DST changes for Syria, Cuba; Iraq abandons DST
  - Saigon zone renamed Ho_Chi_Minh; backward link provided
  - Add America/Argentina/San_Luis information
- Pakistan introduces DST
- Resolves: #447294

* Tue Mar  4 2008 Petr Machata <pmachata@redhat.com> - 2007k-2.el4
- Chile moves DST to 29/Mar
- Resolves: #435959

* Wed Jan  2 2008 Petr Machata <pmachata@redhat.com> - 2007k-1.el4
- Upstream 2007k
  - Argentina readopted the daylight saving time
- Resolves: #426932

* Tue Dec  4 2007 Petr Machata <pmachata@redhat.com> - 2007j-1.el4
- Upstream 2007j
  - New links America/St_Barthelemy and America/Marigot
  - Venezuela is changing their clocks on December 9 at 03:00
- Upstream 2007i
  - Syria DST will take place at Midnight between Thursday and Friday.
  - Cuba will end DST on the last Sunday of October.
- Update tst-timezone.c from glibc CVS
- Resolves: #410111

* Mon Oct  1 2007 Petr Machata <pmachata@redhat.com> - 2007h-1.el4
- Upstream 2007h
  - Brazil will observe DST from 2007-10-14 to 2008-02-17
  - Egypt and Gaza switched earlier than we expected
  - Iran will resume DST next year
  - Venezuela is scheduled to change TZ to -4:30 on January 1
- Resolves: #298091
- Resolves: #266881

* Thu Sep 20 2007 Petr Machata <pmachata@redhat.com> - 2007g-1.el4
- Upstream 2007g
  - Egypt switches the September 7, not September 28
  - Daviess, Dubous, Knox, Martin, and Pike Counties, Indiana, switch
    from central to eastern time in November
  - South Australia, Tasmania, Victoria, and New South Wales are
    changing their DST rules effective next year
  - Several Antarctic station's rules weren't properly updated to account
    for this year's change to the New Zealand daylight saving rules
- Venezuela timezone changes from -4:00 to -4:30 at 24 September
- Resolves: #298091
- Resolves: #266881

* Tue Jul  3 2007 Petr Machata <pmachata@redhat.com> - 2007f-1.el4
- Upstream 2007f
  - New Zealand is extending DST, starting later this year.
  - Haiti no longer observes DST.
  - The Turks and Caicos switch at 02:00, not at 00:00, and have
    adopted US DST rules.
- Upstream 2007e
  - Syria switched to summer time at Mar/29.
  - Honduras will not enter DST this year.
- Resolves: #241812

* Fri Mar 23 2007 Petr Machata <pmachata@redhat.com> - 2007d-1.el4
- Upstream 2007d
  - Mongolia has abolished DST.
  - Turkey will use EU rules this year, changing at 01:00 UTC rather
    than 01:00 standard time.
  - Cuba observed DST starting Sunday.
  - Resolute, Nunavut switched from Central to Eastern time last
    November.

* Tue Feb 27 2007 Petr Machata <pmachata@redhat.com> - 2007c-1.el4
- Upstream 2007c
  - Pulaski County, Indiana, switched back to eastern time.
  - Turkey switches at 01:00 standard time, not at 01:00 UTC.
- Upstream 2007b
  - Changes to the commentary in "leapseconds".
- Resolves: #230088

* Wed Jan 31 2007 Petr Machata <pmachata@redhat.com> - 2007a-1.el4
- Upstream 2007a
  - Updates to Bahamas, they will be in sync with 2007 US DST change
  - New zone Australia/Eucla
  - Africa/Asmera renamed to Africa/Asmara, link created
  - Atlantic/Faeroe renamed to Atlantic/Faroe, link created
- Upstream 2006p
  - Western Australia DST trial
  - Latitude/longitude changes for Europe/Jersey and Europe/Podgorica
- Upstream 2006o
  - Cuba has ended its three years of permanent DST.
  - Updates in historical timestamps for Chile.
- Resolves: #218328

* Wed Nov 22 2006 Petr Machata <pmachata@redhat.com> - 2006m-3.el4
- Patch for Western Australia DST trial (bz 216384)

* Tue Oct 10 2006 Petr Machata <pmachata@redhat.com> - 2006m-2
- Proposed upstream patch (#210132)
  - Jordan will switch to winter time on October 27, not September 29
  - Brazil's DST this year is the first Sunday in November to the last
    Sunday in February.  (Thanks to Frederico A. C. Neves.)
  - ISO 3166 codes for Serbia and Montenegro, zone Europe/Podgorica
  - Commentary and past timestamps changes
- Upstream 2006m:
  - Adjustments for Egypt, Palestine, Uruguay
  - Better description of `until' field in zic (8) manpage
- Upstream 2006k, 2006l:
  - Adjustments for Egypt, Palestine, Cuba, Honduras
  - Documentation changes

* Tue Aug 22 2006 Petr Machata <pmachata@redhat.com> - 2006j-1.el4
- Upstream 2006j
  - Honduras stopped observing DST on Monday at 00:00
  - America/Bermuda will follow the US's lead next year
  - America/Moncton will use US-style rules next year
  - New Zone America/Blanc-Sablon, for Canadians who observe AST all
    year
  - New zone: America/Atikokan instead of America/Coral_Harbour
  - New zones: Europe/Jersey, Europe/Guernsey, Europe/Isle_of_Man
  - Historical changes
  - Commentary updates
- Upstream 2006i
  - localtime.c fixes
- Upstream 2006h
  - zic leapsecond fix

* Tue Jul 25 2006 Petr Machata <pmachata@redhat.com> - 2006g-1.EL4
- Upstream 2006g (#199926); updates:
  - America: Edmonton, Guatemala, Indiana/Vincennes, Thule
  - Canada, Haiti, Honduras, Iran, Nicaragua, Sri Lanka, Tunisia

* Fri Mar 17 2006 Petr Machata <pmachata@redhat.com> - 2006a-2.EL4
- Sri Lanka changes time zone to GMT+5:30 starting 13/4/06 (#184514)
- Changing name of base file.  It makes no sense to change the name
  for each release, but we need to change contents occassionally.

* Tue Feb 14 2006 Jakub Jelinek <jakub@redhat.com> 2006a-1.EL4
- rebuilt for RHEL4 (#180957)

* Thu Feb 02 2006 Petr Machata <pmachata@redhat.com> 2006a-1
- Upstream 2006a:
  - private.h(scheck): changing char* to char const*
  - Rule changes for Palestine, zone changes for Indiana/US, both
    changes for Canada.
  - Many related doc changes.
- Naming scheme in spec file doesn't use %%{name}, but tzdata.

* Thu Jan 12 2006 Petr Machata <pmachata@redhat.com> 2005r-3
- 2005r-3
  - Meta changes.  Renaming tzdata.tar.bz2 file to tzdata$ver-base,
    so that it won't clash across updates.

* Thu Jan  5 2006 Petr Machata <pmachata@redhat.com> 2005r-2
- 2005r
  - Zones EST, MST, HST, EST5EDT, CST6CDT, MST7MDT, PST8PDT moved to
    northamerica to guard against old files with obsolete information
    being left in the time zone binary directory.
  - Changes for countries that are supposed to join 2007 US DST
    change.  This includes most of Canada, however entries already in
    the database (Alberta, British Columbia, Newfoundland, Northwest
    Territories, and Yukon) were left alone for the time being.
  - Fixes in zdump.c (abbrok): conditions are chained, and the string
    is checked for emptiness.

* Sat Dec 17 2005 Jakub Jelinek <jakub@redhat.com> 2005q-2
- 2005q
  - changes for Georgia, Azerbaijan, Jordan, Palestine, Cuba, Nicaragua
  - SystemV timezone changes

* Wed Nov  2 2005 Jakub Jelinek <jakub@redhat.com> 2005n-2
- 2005n
  - changes for Kyrgyzstan and Uruguay
- fix a typo in the Makefile (used TZDATA env var instead of TZDIR during
  make check), update tst-timezone.c from glibc CVS (#172102)

* Tue Sep  6 2005 Jakub Jelinek <jakub@redhat.com> 2005m-2
- 2005m
  - changes for USA (extending DST by 4 weeks since 2007), Tunisia,
    Australia, Kazakhstan
  - historical timezone data changes for Japan, Poland, Northern Ireland and
    Mali
  - timezone name change for East Timor

* Fri Jul 15 2005 Jakub Jelinek <jakub@redhat.com> 2005k-2
- 2005k
  - leap seconds update

* Sat Apr 30 2005 Jakub Jelinek <jakub@redhat.com> 2005i-2
- 2005i
  - updates for Iran, Haiti and Nicaragua

* Mon Apr  4 2005 Jakub Jelinek <jakub@redhat.com> 2005h-2
- 2005h
  - fixes for Kazakhstan

* Thu Mar 17 2005 Jakub Jelinek <jakub@redhat.com> 2005g-2
- 2005g
  - fixes for Uruguay
- include README and Theory from tzcode tarball in %{_docdir};
  Theory includes a good summary of how the timezone data files
  are supposed to be named

* Tue Mar  1 2005 Jakub Jelinek <jakub@redhat.com> 2005f-2
- 2005f
  - more updates for Israel, updates for Azerbaijan

* Wed Jan 26 2005 Jakub Jelinek <jakub@redhat.com> 2005c-3
- 2005c
  - updates for Israel and Paraguay

* Mon Nov 29 2004 Jakub Jelinek <jakub@redhat.com> 2004g-1
- 2004g (#141107)
  - updates for Cuba

* Mon Oct 11 2004 Jakub Jelinek <jakub@redhat.com> 2004e-2
- 2004e (#135194)
  - updates for Brazil, Uruguay and Argentina

* Wed Aug  4 2004 Jakub Jelinek <jakub@redhat.com> 2004b-2
- 2004b

* Mon Oct  6 2003 Jakub Jelinek <jakub@redhat.com> 2003d-1
- 2003d

* Thu Sep 25 2003 Jakub Jelinek <jakub@redhat.com> 2003c-1
- 2003c
- updates for Brazil (#104840)

* Mon Jul 28 2003 Jakub Jelinek <jakub@redhat.com> 2003a-2
- rebuilt

* Mon Jul 28 2003 Jakub Jelinek <jakub@redhat.com> 2003a-1
- initial package
